petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMMoabGetVertexCoordinates

Get the coordinates corresponding to the requested vertex entities

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetVertexCoordinates(DM dm,PetscInt nconn,const moab::EntityHandle *conn,PetscReal *vpos)

Collective on MPI_Comm

### Input Parameter

dm - The DMMoab object
nconn - Number of entities whose coordinates are needed
conn - The vertex entity handles

### Output Parameter

vpos - The coordinates of the requested vertex entities

### See Also

DMMoabGetVertexConnectivity()

Level:beginner
Location:src/dm/impls/moab/dmmoab.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex35.cxx.html